{
  "name": "@openstapps/minimal-plugin",
  "description": "Minimal Plugin",
  "version": "3.0.0-next.0",
  "private": true,
  "type": "module",
  "license": "GPL-3.0-only",
  "author": "Thea Schöbl",
  "contributors": [
    "Jovan Krunić <jovan.krunic@gmail.com>",
    "Rainer Killinger <mail-openstapps@killinger.co>"
  ],
  "bin": "app.js",
  "files": [
    "app.js",
    "lib",
    "README.md",
    "CHANGELOG.md",
    "Dockerfile"
  ],
  "scripts": {
    "build": "tsup-node --dts",
    "deploy": "pnpm --prod --filter=@openstapps/minimal-plugin deploy ../../.deploy/minimal-plugin",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "lint": "eslint --ext .ts src/",
    "lint:fix": "eslint --fix --ext .ts src/",
    "start": "node lib/cli.js"
  },
  "dependencies": {
    "@openstapps/api": "workspace:*",
    "@openstapps/api-plugin": "workspace:*",
    "@openstapps/core": "workspace:*",
    "@openstapps/core-tools": "workspace:*",
    "@openstapps/logger": "workspace:*",
    "commander": "10.0.0",
    "express": "4.18.2",
    "ts-node": "10.9.1"
  },
  "devDependencies": {
    "@openstapps/eslint-config": "workspace:*",
    "@openstapps/prettier-config": "workspace:*",
    "@openstapps/tsconfig": "workspace:*",
    "@types/express": "4.17.17",
    "@types/node": "18.15.3",
    "tsup": "6.7.0",
    "typescript": "4.9.5"
  },
  "tsup": {
    "entry": [
      "src/app.ts"
    ],
    "sourcemap": true,
    "clean": true,
    "format": "esm",
    "outDir": "lib"
  },
  "prettier": "@openstapps/prettier-config",
  "eslintConfig": {
    "extends": [
      "@openstapps"
    ]
  }
}
